<?php 
$general_css = '';


/* Primary Font */
$default_primary_font = json_decode( pogon_default_primary_font() );
$primary_font = json_decode( get_theme_mod( 'primary_font' ) ) ? json_decode( get_theme_mod( 'primary_font' ) ) : $default_primary_font;
$primary_font_family = $primary_font->font;


/* General Typo */
$general_font_size = get_theme_mod( 'general_font_size', '15px' );
$general_line_height = get_theme_mod( 'general_line_height', '1.8em' );
$general_letter_space = get_theme_mod( 'general_letter_space', '0px' );
$general_color = get_theme_mod( 'general_color', '#666' );



/* Primary Color */
$primary_color = get_theme_mod( 'primary_color', '#12a85f' );




$general_css .= <<<CSS

body{
	font-family: {$primary_font_family};
	font-weight: 400;
	font-size: {$general_font_size};
	line-height: {$general_line_height};
	letter-spacing: {$general_letter_space};
	color: {$general_color};
}
p{
	color: {$general_color};
	line-height: {$general_line_height};
}

a.navbar-brand,
a:hover{
	color: {$primary_color};
}

/* Blog */
article.post-wrap .post-meta .post-meta-content a:hover,
article.post-wrap .post-title h2.post-title a:hover,
.sidebar .widget ul li a,
.sidebar .widget.recent-posts-widget-with-thumbnails ul li a .rpwwt-post-title,
.sidebar .widget.widget_rss ul li a.rsswidget,
.single-post article.post-wrap .post-tag-pogon .share_social-pogon ul.share-social-icons li a:hover i,
.single-post article.post-wrap .post_recommend .ova_blog .related-post .content .post-title a:hover,
.content_comments .commentlists li.comment article.comment_item .comment-details .ova_reply .comment-reply-link,
.content_comments .commentlists li.comment article.comment_item .comment-details .ova_reply .comment-edit-link,
.content_comments .commentlists li.comment article.comment_item .comment-details .ova_reply i.fa-reply,
.icon-before-heading .elementor-heading-title::before,
article.post-wrap .post-meta .post-meta-content i
{
	color: {$primary_color};
}

article.post-wrap .btn-pogon-default,
.pagination-wrapper .blog_pagination .pagination li.active a,
.pagination-wrapper .blog_pagination .pagination li a:hover,
.single-post article.post-wrap .post-tag-pogon .post-tags-pogon > a
{
	background-color: {$primary_color};
}
.content_comments .wrap_comment_form .comment-form .form-submit input[type=submit],
.content_comments .commentlists .comment-respond .comment-form input[type=submit]
{
	background-color: {$primary_color} !important;
	border-color: {$primary_color} !important;
}


/* Shop Woo */
.woocommerce ul.products li.product .price,
.footer_link ul li a:hover,
.woocommerce ul.products li.product h2.woocommerce-loop-product__title a:hover,
.woocommerce-checkout .checkout #customer_details .woocommerce-billing-fields .woocommerce-billing-fields__field-wrapper .form-row label .required,
.woocommerce-pagination ul.page-numbers li .page-numbers
{
	color: {$primary_color};
}

.woocommerce ul.products li.product .onsale,
.woocommerce ul.products li.product .add_to_cart_button:hover,
.woocommerce.single-product .product .cart .single_add_to_cart_button:hover,
.woocommerce.single-product .product .woocommerce-tabs ul.tabs li.active a:after,
.woocommerce.single-product .product .woocommerce-tabs .woocommerce-Tabs-panel--reviews .woocommerce-Reviews #review_form_wrapper .form-submit input#submit:hover,
.woocommerce-cart .woocommerce .woocommerce-cart-form .shop_table tbody tr td.actions button.button,
.woocommerce-cart .woocommerce .cart-collaterals .cart_totals .wc-proceed-to-checkout a.checkout-button:hover,
.woocommerce-cart .woocommerce .woocommerce-cart-form .shop_table tbody tr td.actions .coupon button.button:hover,
.woocommerce #payment #place_order, .woocommerce-page #payment #place_order:hover,
.footer_link ul li:before,
#scrollUp:hover,
.woocommerce-pagination ul.page-numbers li .page-numbers.current,
.woocommerce.single-product .product .onsale
{
	background: {$primary_color};
}

.woocommerce .woocommerce-ordering .select2-container--default .select2-selection--single,
.woocommerce-cart .woocommerce .woocommerce-cart-form .shop_table tbody tr td.actions .coupon button.button:hover,
.woocommerce-pagination ul.page-numbers li .page-numbers
{
	border-color: {$primary_color};
}

CSS;



return $general_css;


